GDB (xrefs)

Public Attributes | List of all members
mapping_regexes Struct Reference

## Public Attributes
compiled_regex | dev_zero
compiled_regex | shmem_file
compiled_regex | file_deleted

## Detailed Description

Definition at line 506 of file linux-tdep.c.

## Member Data Documentation

## ◆ dev_zero

compiled_regex mapping_regexes::dev_zero

Initial value:
{"^/dev/zero\\( (deleted)\\)\\?$", REG_NOSUB,
_("Could not compile regex to match /dev/zero filename")}

Definition at line 513 of file linux-tdep.c.

Referenced by mapping_is_anonymous_p().

## ◆ file_deleted

compiled_regex mapping_regexes::file_deleted

Initial value:
{" (deleted)$", REG_NOSUB,
_("Could not compile regex to match '<file> (deleted)'")}

Definition at line 537 of file linux-tdep.c.

Referenced by mapping_is_anonymous_p().

## ◆ shmem_file

compiled_regex mapping_regexes::shmem_file

Initial value:
{"^/\\?SYSV[0-9a-fA-F]\\{8\\}\\( (deleted)\\)\\?$", REG_NOSUB,
_("Could not compile regex to match shmem filenames")}

Definition at line 521 of file linux-tdep.c.

Referenced by mapping_is_anonymous_p().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/linux-tdep.c